//--------------------------------------------------------------------
//
// Copyright 2001 by Eric Obermuhlner
//
// $Id: pdbc.c 1.5 2002/04/15 06:20:25 obermuhl Exp obermuhl $
//
// $Log: pdbc.c $
//
//---------------------------------------------------------------------

#include "utils.h"
#include "error.h"

#include <stdio.h>
#include <string.h>

//---------------------------------------------------------------------

int is_bigendian(void)
{
  union {
    short s;
    char c[sizeof(short)];
  } conv;

  conv.s = 0x0001;
  return conv.c[0];
}

int file_exists(const char *filename)
{
  FILE *in = fopen(filename, "r");
  if(in) {
    fclose(in);
    return TRUE;
  }
  return FALSE;
}

void parse_newline_command(char *cmd)
{
  if(strcmp(cmd, "unix") == 0) {
    set_newline("\n");
  } else if(strcmp(cmd, "windows") == 0) {
    set_newline("\r\n");
  } else if(strcmp(cmd, "mac") == 0) {
    set_newline("\r");
  } else {
    set_newline("\n");
  }
}

char* get_str_record(int resource_mode)
{
  if(resource_mode) {
    return "resource";
  } else {
    return "record";
  }
}

char* get_str_Record(int resource_mode)
{
  if(resource_mode) {
    return "Resource";
  } else {
    return "record";
  }
}

//---------------------------------------------------------------------
